Summary:	Open Crypto Development Kit
Name:		opencdk
Version:	0.5.5
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.diff
URL:		http://www.gnu.org/software/gnutls/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:  	libgcrypt
BuildRequires:  libgcrypt-devel

%description
This library provides basic parts of the OpenPGP message format.

%package 	devel
Summary:	Header files etc to develop opencdk applications
Group:		Development

%description	devel
Header files etc to develop opencdk applications.

%prep
%setup -q
%patch0

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_aclocaldir}
install src/opencdk.m4 $RPM_BUILD_ROOT%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_bindir}
%{_includedir}
%{_datadir}
